// Copyright 2014 Hajime Hoshi
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package ebiten

import (
	"github.com/hajimehoshi/ebiten/internal/graphics/opengl"
)

// Filter represents the type of filter to be used when an image is maginified or minified.
type Filter int

const (
	FilterNearest Filter = iota // nearest (crisp-edged) filter
	FilterLinear                // linear filter
)

func glFilter(c *opengl.Context, filter Filter) opengl.Filter {
	switch filter {
	case FilterNearest:
		return c.Nearest
	case FilterLinear:
		return c.Linear
	}
	panic("not reach")
}
